<?php

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[about_bg_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[about_bg_color]', array(
	'label'             => esc_html__( 'Background Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_about_section',
	'active_callback' 	=> 'next_travel_pro_is_about_section_enable',
	) ) );

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[about_subtitle_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[about_subtitle_color]', array(
	'label'             => esc_html__( 'Sub Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_about_section',
	'active_callback' 	=> 'next_travel_pro_is_about_section_enable',
	) ) );


// About title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[about_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[about_title_color]', array(
	'label'             => esc_html__( 'About Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_about_section',
	'active_callback' 	=> 'next_travel_pro_is_about_section_enable',
	) ) );

// About title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[about_hover_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[about_hover_title_color]', array(
	'label'             => esc_html__( 'About Hover Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_about_section',
	'active_callback' 	=> 'next_travel_pro_is_about_section_enable',
	) ) );

// About description color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[about_description_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[about_description_color]', array(
	'label'             => esc_html__( 'About Description Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_about_section',
	'active_callback' 	=> 'next_travel_pro_is_about_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[about_button_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[about_button_color]', array(
	'label'             => esc_html__( 'Button Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_about_section',
	'active_callback' 	=> 'next_travel_pro_is_about_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[about_button_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[about_button_hover_color]', array(
	'label'             => esc_html__( 'Button Hover Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_about_section',
	'active_callback' 	=> 'next_travel_pro_is_about_section_enable',
	) ) );

// Button title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[about_btn_text_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[about_btn_text_color]', array(
	'label'             => esc_html__( 'Button Text Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_about_section',
	'active_callback' 	=> 'next_travel_pro_is_about_section_enable',
	) ) );

