<?php

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[team_bg_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[team_bg_color]', array(
	'label'             => esc_html__( 'Background Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_team_section',
	'active_callback' 	=> 'next_travel_pro_is_team_section_enable',
	) ) );

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[team_section_subtitle_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[team_section_subtitle_color]', array(
	'label'             => esc_html__( 'Section Sub Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_team_section',
	'active_callback' 	=> 'next_travel_pro_is_team_section_enable',
	) ) );


// Popular Destination title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[team_section_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[team_section_title_color]', array(
	'label'             => esc_html__( 'Section Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_team_section',
	'active_callback' 	=> 'next_travel_pro_is_team_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[team_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[team_title_color]', array(
	'label'             => esc_html__( 'Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_team_section',
	'active_callback' 	=> 'next_travel_pro_is_team_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[team_title_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[team_title_hover_color]', array(
	'label'             => esc_html__( 'Title Hover Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_team_section',
	'active_callback' 	=> 'next_travel_pro_is_team_section_enable',
	) ) );

// Popular Destination description color setting and control.
	$wp_customize->add_setting( 'next_travel_pro_theme_options[team_description_color]', array(
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'			=> 'refresh'
		) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[team_description_color]', array(
		'label'             => esc_html__( 'Description / Position Color', 'next-travel-pro' ),
		'section'           => 'next_travel_pro_team_section',
		'active_callback' 	=> 'next_travel_pro_is_team_section_enable',
		) ) );

