<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Next Travel Pro
* @since Next Travel Pro 1.0.0
*/

if ( ! function_exists( 'next_travel_pro_slider_btn_label_partial' ) ) :
    // slider_btn_label
    function next_travel_pro_slider_btn_label_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['slider_btn_label'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_popular_destination_sub_title_partial' ) ) :
    // popular_destination_sub_title
    function next_travel_pro_popular_destination_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['popular_destination_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_popular_destination_title_partial' ) ) :
    // popular_destination_title
    function next_travel_pro_popular_destination_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['popular_destination_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_popular_destination_description_partial' ) ) :
    // popular destination description
    function next_travel_pro_popular_destination_description_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['popular_destination_description'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_popular_destination_post_btn_label_partial' ) ) :
    function next_travel_pro_popular_destination_post_btn_label_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['popular_destination_post_btn_label'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_popular_destination_btn_label_partial' ) ) :
    function next_travel_pro_popular_destination_btn_label_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['popular_destination_btn_label'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_counter_sub_title_partial' ) ) :
    function next_travel_pro_counter_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['counter_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_counter_title_partial' ) ) :
    function next_travel_pro_counter_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['counter_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_about_sub_title_partial' ) ) :
    /**
     * About us section Sub Title partial Refresh
     * @return String
     */
    function next_travel_pro_about_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['about_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_about_btn_title_partial' ) ) :
    // about btn title
    function next_travel_pro_about_btn_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['about_btn_title'] );
    }
endif;

//next_travel_pro_about_counter_title_partial
if ( ! function_exists( 'next_travel_pro_about_counter_title_partial' ) ) :
    // about btn title
    function next_travel_pro_about_counter_title_partial($i) {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['about_counter_title_'.$i.''] );
    }
endif;


if ( ! function_exists( 'next_travel_pro_gallery_slider_btn_title_partial' ) ) :
    // gallery_slider_btn_title
    function next_travel_pro_gallery_slider_btn_title_partial($i) {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['gallery_slider_btn_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recommended_destination_sub_title_partial' ) ) :
    // recommended_destination_sub_title
    function next_travel_pro_recommended_destination_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recommended_destination_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recommended_destination_title_partial' ) ) :
    // recommended_destination_title
    function next_travel_pro_recommended_destination_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recommended_destination_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recommended_destination_description_partial' ) ) :
    // recommended destination description
    function next_travel_pro_recommended_destination_description_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recommended_destination_description'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recommended_destination_post_btn_label_partial' ) ) :
    function next_travel_pro_recommended_destination_post_btn_label_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recommended_destination_post_btn_label'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recommended_destination_btn_label_partial' ) ) :
    function next_travel_pro_recommended_destination_btn_label_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recommended_destination_btn_label'] );
    }
endif;


if ( ! function_exists( 'next_travel_pro_blog_sub_title_partial' ) ) :
    // blog_sub_title
    function next_travel_pro_blog_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['blog_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_blog_title_partial' ) ) :
    // blog btn title
    function next_travel_pro_blog_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recent_news_sub_title_partial' ) ) :
    // recent_news_sub_title
    function next_travel_pro_recent_news_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recent_news_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recent_news_title_partial' ) ) :
    // recent_news_title
    function next_travel_pro_recent_news_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recent_news_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recent_news_button_partial' ) ) :
    // recent_news_button
    function next_travel_pro_recent_news_button_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recent_news_button'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_subscription_sub_title_partial' ) ) :
    // subscription sub title
    function next_travel_pro_subscription_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['subscription_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_subscription_title_partial' ) ) :
    // subscription title
    function next_travel_pro_subscription_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['subscription_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_subscription_description_partial' ) ) :
    // subscription_description
    function next_travel_pro_subscription_description_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['subscription_description'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_service_title_partial' ) ) :
    // service_title
    function next_travel_pro_service_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['service_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_service_sub_title_partial' ) ) :
    // service_sub_title
    function next_travel_pro_service_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['service_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_copyright_text_partial' ) ) :
    // copyright text
    function next_travel_pro_copyright_text_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_trip_search_title_partial' ) ) :
    // powered by text
    function next_travel_pro_trip_search_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['trip_search_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_testimonial_title_partial' ) ) :
    //testimonial title
    function next_travel_pro_testimonial_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['testimonial_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_testimonial_sub_title_partial' ) ) :
    //testimonial_sub_title
    function next_travel_pro_testimonial_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['testimonial_sub_title'] );
    }
endif;
    

if ( ! function_exists( 'next_travel_pro_team_title_partial' ) ) :
    // team_title
    function next_travel_pro_team_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['team_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_team_sub_title_partial' ) ) :
    // team_sub_title
    function next_travel_pro_team_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['team_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_popular_products_title_partial' ) ) :
    // popular_products_title
    function next_travel_pro_popular_products_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['popular_products_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_popular_products_sub_title_partial' ) ) :
    // popular_products_sub_title
    function next_travel_pro_popular_products_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['popular_products_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_collection_title_partial' ) ) :
    // collection_title
    function next_travel_pro_collection_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['collection_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_collection_subtitle_partial' ) ) :
    // collection_subtitle
    function next_travel_pro_collection_subtitle_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['collection_subtitle'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recent_products_sub_title_partial' ) ) :
    // recent_products_sub_title
    function next_travel_pro_recent_products_sub_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recent_products_sub_title'] );
    }
endif;

if ( ! function_exists( 'next_travel_pro_recent_products_title_partial' ) ) :
    // recent_products_title
    function next_travel_pro_recent_products_title_partial() {
        $options = next_travel_pro_get_theme_options();
        return esc_html( $options['recent_products_title'] );
    }
endif;
