<?php

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[gallery_slider_bg_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[gallery_slider_bg_color]', array(
	'label'             => esc_html__( 'Background Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_gallery_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_gallery_slider_section_enable',
	) ) );

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[gallery_slider_subtitle_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[gallery_slider_subtitle_color]', array(
	'label'             => esc_html__( 'Sub Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_gallery_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_gallery_slider_section_enable',
	) ) );


// Gallery Slider title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[gallery_slider_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[gallery_slider_title_color]', array(
	'label'             => esc_html__( 'Gallery Slider Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_gallery_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_gallery_slider_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[gallery_slider_button_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[gallery_slider_button_hover_color]', array(
	'label'             => esc_html__( 'Button Hover/Border Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_gallery_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_gallery_slider_section_enable',
	) ) );

// Button title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[gallery_slider_btn_text_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[gallery_slider_btn_text_color]', array(
	'label'             => esc_html__( 'Button Text Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_gallery_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_gallery_slider_section_enable',
	) ) );

