<?php

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[latest_products_bg_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[latest_products_bg_color]', array(
	'label'             => esc_html__( 'Background Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_latest_products_section',
	'active_callback' 	=> 'next_travel_pro_is_latest_products_section_enable',
	) ) );

// Button title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[latest_products_btn_bg_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[latest_products_btn_bg_color]', array(
	'label'             => esc_html__( 'Button Background Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_latest_products_section',
	'active_callback' 	=> 'next_travel_pro_is_latest_products_section_enable',
	) ) );

// Gallery Slider title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[latest_products_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[latest_products_title_color]', array(
	'label'             => esc_html__( 'Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_latest_products_section',
	'active_callback' 	=> 'next_travel_pro_is_latest_products_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[latest_products_title_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[latest_products_title_hover_color]', array(
	'label'             => esc_html__( 'Title Hover Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_latest_products_section',
	'active_callback' 	=> 'next_travel_pro_is_latest_products_section_enable',
	) ) );



