<?php 

$wp_customize->add_section( 'next_travel_pro_home_layout', array(
	'title'             => esc_html__( 'Home Page Layout','next-travel-pro' ),
	'description'       => esc_html__( 'Home Page Layout option.', 'next-travel-pro' ),
	'panel'             => 'next_travel_pro_front_page_panel',
) );

$wp_customize->add_setting( 'next_travel_pro_theme_options[home_layout]', array(
		'default'           => $options['home_layout'],
		'sanitize_callback' => 'next_travel_pro_sanitize_select',
		'transport'			=> 'refresh'
	) );

$wp_customize->add_control( 'next_travel_pro_theme_options[home_layout]', array(
	'priority'			=> 50,
	'type'				=> 'radio',
	'label'             => esc_html__( 'Select Homepage layout', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_home_layout',
	'choices'				 => array( 
		'default-design-all'        => esc_html__( 'Default Design', 'next-travel-pro' ),
		'default-design'     		=> esc_html__( 'Pro Design', 'next-travel-pro' ),
		'second-design'      		=> esc_html__( 'Business Design', 'next-travel-pro' ),
		'third-design'       		=> esc_html__( 'Shop Design', 'next-travel-pro' ),
		'fourth-design'      		=> esc_html__( 'Education Design', 'next-travel-pro' ),
		'fifth-design'       		=> esc_html__( 'Blog Design', 'next-travel-pro' ),
		'sixth-design'       		=> esc_html__( 'Medical Design', 'next-travel-pro' ),
		)
) );